[SCM] live-boot branch, debian-next, updated. debian/3.0_a22-1-25-gf885467

Daniel Baumann daniel at debian.org
Thu Nov 24 17:37:31 UTC 2011


The following commit has been merged in the debian-next branch:
commit 5748431e0be129d18226eff9aff736f3eadc34fd
Author: Tails developers <amnesia at boum.org>
Date:   Wed Nov 9 20:06:28 2011 +0100

    Making use of is_supported_fs in find_cow_devices (like in find_files).

diff --git a/scripts/live-helpers b/scripts/live-helpers
index 90fa3b4..a9c4fbe 100644
--- a/scripts/live-helpers
+++ b/scripts/live-helpers
@@ -388,23 +388,22 @@ find_cow_device ()
 			continue
 		fi
 
-		case "$(get_fstype ${dev})" in
-			vfat|ext2|ext3|ext4|jffs2)
-				mkdir -p "${cow_backing}"
-				if try_mount "${dev}" "${cow_backing}" "rw"
+		devfstype="$(get_fstype ${dev})"
+
+		if is_supported_fs ${devfstype}
+		then
+			mkdir -p "${cow_backing}"
+			if try_mount "${dev}" "${cow_backing}" "rw"
+			then
+				if [ -f "${pers_fpath}" ]
 				then
-					if [ -f "${pers_fpath}" ]
-					then
-						echo $(setup_loop "${pers_fpath}" "loop" "/sys/block/loop*")
-						return 0
-					else
-						umount ${cow_backing} > /dev/null 2>&1 || true
-					fi
+					echo $(setup_loop "${pers_fpath}" "loop" "/sys/block/loop*")
+					return 0
+				else
+					umount ${cow_backing} > /dev/null 2>&1 || true
 				fi
-				;;
-			*)
-				;;
-		esac
+			fi
+		fi
 	done
 	return 1
 }

-- 
live-boot



More information about the debian-live-changes mailing list